<?php
/**
 * Plugin Name: Corcava Chat — WP AI-Powered Livechat Plugin
 * Description: AI-Powered Live Chat and Help Desk plugin, optimized for WordPress. Schedule, appointments, capture leads to your CRM.
 *
 * Plugin URI:  https://corcava.com
 * Author URI:  https://corcava.com
 * Author:      Corcava
 *
 * Text Domain: corcava
 * Domain Path: /languages
 *
 * Requires PHP: 7.0
 *
 * License:     GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 *
 * Network:     true
 *
 * Version:     1.0
 */

// Create a table
function corcava_widget_table()
{
    global $wpdb;

    $charset_collate = $wpdb->get_charset_collate();
    $tablename = $wpdb->prefix . "corcavawidget";

    $sql = "CREATE TABLE $tablename (
        id mediumint(9) NOT NULL AUTO_INCREMENT,
        widget_id varchar(255) NOT NULL,
        PRIMARY KEY  (id)
    ) $charset_collate;";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);
}

register_activation_hook(__FILE__, 'corcava_widget_table');

// Add an item to the admin menu
function corcava_widget_menu()
{
    add_menu_page("Corcava Chat — WP AI-Powered Livechat Plugin", "Corcava", "manage_options", "corcava-chat", "corcavaWidget", "dashicons-schedule");
}

add_action('admin_menu', 'corcava_widget_menu');

// Create display function
function corcavaWidget()
{
    include "corcavawidget.php";
}

// Fetch the widget ID from the database
function get_corcava_widget_id()
{
    global $wpdb;
    $tablename = $wpdb->prefix . "corcavawidget";
    return $wpdb->get_var("SELECT widget_id FROM $tablename LIMIT 1");
}

// Adding a widget to the site footer
function insert_corcava_widget()
{
    $widget_id = get_corcava_widget_id();
    if ($widget_id) {
        echo '<script src="https://app.corcava.com/js/chat_plugin.js?v1.1" data-widget-id="' . esc_js($widget_id) . '"></script>';
    }
}

add_action('wp_footer', 'insert_corcava_widget', 99);
