<?php

global $wpdb;

$tablename = $wpdb->prefix . "corcavawidget";

// Handle form submission
if (isset($_POST['submit'])) {
    $widget_id = sanitize_text_field($_POST['widget_id']);

    // Check if there is an existing record
    $existing_record_id = $wpdb->get_var("SELECT id FROM $tablename LIMIT 1");

    if ($existing_record_id) {
        // Update the existing record
        $updated = $wpdb->update(
            $tablename,
            ['widget_id' => $widget_id],
            ['id' => $existing_record_id],
            ['%s'],
            ['%d']
        );

        if ($updated === false) {
            echo "<div class='error'><p>Failed to update the widget ID.</p></div>";
        } else {
            echo "<div class='updated'><p>Widget ID updated successfully.</p></div>";
        }
    } else {
        // Insert a new record
        $inserted = $wpdb->insert(
            $tablename,
            ['widget_id' => $widget_id],
            ['%s']
        );

        if ($inserted === false) {
            echo "<div class='error'><p>Failed to insert the widget ID.</p></div>";
        } else {
            echo "<div class='updated'><p>Widget ID inserted successfully.</p></div>";
        }
    }
}

// Fetch the current widget ID from the database
$current_widget_id = $wpdb->get_var("SELECT widget_id FROM $tablename LIMIT 1");
?>

<h1>Edit widget ID</h1>
<form method='post' action=''>
    <table>
        <tr>
            <td>Widget ID</td>
            <td><input type='text' name='widget_id' value="<?php echo esc_attr($current_widget_id); ?>"></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td><input type='submit' name='submit' value='Update'></td>
        </tr>
    </table>
</form>
