<?php

global $wpdb;

$tablename = $wpdb->prefix . "corcavawidget";

// Handle form submission
if (isset($_POST['submit'])) {
    $widget_id = sanitize_text_field($_POST['widget_id']);

    // Check if there is an existing record
    $existing_record_id = $wpdb->get_var("SELECT id FROM $tablename LIMIT 1");

    if ($existing_record_id) {
        // Update the existing record
        $updated = $wpdb->update(
            $tablename,
            ['widget_id' => $widget_id],
            ['id' => $existing_record_id],
            ['%s'],
            ['%d']
        );

        if ($updated === false) {
            echo "<div class='error'><p>Failed to update the widget ID.</p></div>";
        } else {
            echo "<div class='updated'><p>Widget ID updated successfully.</p></div>";
        }
    } else {
        // Insert a new record
        $inserted = $wpdb->insert(
            $tablename,
            ['widget_id' => $widget_id],
            ['%s']
        );

        if ($inserted === false) {
            echo "<div class='error'><p>Failed to insert the widget ID.</p></div>";
        } else {
            echo "<div class='updated'><p>Widget ID inserted successfully.</p></div>";
        }
    }
}

// Fetch the current widget ID from the database
$current_widget_id = $wpdb->get_var("SELECT widget_id FROM $tablename LIMIT 1");
?>

<h1 style="font-size: 32px; text-transform: capitalize; line-height: 52px; margin-right: 15px;">Edit Corcava widget ID</h1>
<form method='post' action=''>
    <div class="corcava-edit" style="display: flex; align-items: center;">
        <div class="corcava-title">
            <span>Widget ID:</span>
        </div>
        <div class="corcava-data" style="display: flex; align-items: center;">
            <div class="corcava-input" style="margin-right: 10px;"><input type='text' name='widget_id' value="<?php echo esc_attr($current_widget_id); ?>"></div>
            <div class="corcava-button"><input type='submit' name='submit' value='Update'></div>
        </div>
    </div>
</form>

<style>
.corcava-button input {
  background-color: transparent;
  background-image: linear-gradient(267deg, #513DE8 0.99%, #8366E3 99.43%);
  color: #FFFFFF;
  padding: 17px 25px 17px 25px;
  border-radius: 10px 10px 10px 10px;
  font-size: 16px;
  font-weight: 500;
  line-height: 22px;
  cursor: pointer;
  overflow: hidden;
  border: none;
  font-family: "Roboto", sans-serif;
}
.corcava-input input {
  font-size: 26px;
  max-width: 150px;
}
.corcava-title {
  font-size: 28px;
  text-transform: capitalize;
  line-height: 52px;
  margin-right: 15px;
}
</style>